/* ********************* */
/* HEADER */
/* ********************* */

.header {
  /* display: flex;
  justify-content: space-between; */
  align-items: center;
  background-color: #f7f3ef;
  /* Because we want to make header sticky later (stay on top of page) */
  height: 8.6rem;
  padding: 0 4.8rem;
  position: relative;
}

.logo {
  height: 8.2rem;
}

/* ********************* */
/* NAVIGATION */
/* ********************* */

.main-nav-list {
  list-style: none;
  display: flex;
  align-items: start;
  gap: 3.2rem;
}
.main-nav-cta {
  list-style: none;
  /* display: flex;
  align-items: end; */
  gap: 3.2rem;
}

.nav-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-areas: "main-nav logo main-nav-cta";
}

.main-nav {
  grid-area: main-nav;
}
.main-nav-cta {
  grid-area: main-nav-cta;
  justify-self: end;
}

.main-nav-link:link,
.main-nav-link:visited {
  display: inline-block;
  text-decoration: none;
  color: #333;
  font-weight: 500;
  font-size: 1.2rem;
  transition: all 0.3s;
}

.main-nav-link:hover,
.main-nav-link:active {
  color: #91a1b0;
}

.main-nav-link.nav-cta:link,
.main-nav-link.nav-cta:visited {
  padding: 1.2rem 2.4rem;
  border-radius: 9px;
  color: #fff;
  background-color: #455359;
}

.main-nav-link.nav-cta:hover,
.main-nav-link.nav-cta:active {
  background-color: #91a1b0;
}

/* Mobile */

.btn-mobile-nav {
  border: none;
  background: none;
  cursor: pointer;

  display: none;
}
.icon-mobile-nav {
  height: 4.8rem;
  width: 4.8rem;
  color: #333;
}

.icon-mobile-nav[name="close-outline"] {
  display: none;
}

/* STICKY NAVIGATION */

.sticky .header {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 8rem;
  padding-top: 0;
  padding-bottom: 0;
  background-color: rgba(255, 255, 255, 0.97);
  z-index: 999;
  box-shadow: 0 1.2rem 3.2rem rgba(0, 0, 0, 0.03);
}

.sticky .section-hero {
  margin-top: 9.6rem;
}

/* ********************* */
/* Section-Hero */
/* ********************* */
.hero-container {
  width: 600px;
  position: absolute;

  /* In relation to parent element size */
  left: 75%;
  top: 50%;
  /* In relation to the element size */
  transform: translate(-50%, -50%);
}
strong {
  font-style: italic;
}
.hero-text {
  font-size: 2rem;
  color: #333;
  line-height: 1.5;
}

.section-hero {
  position: relative;
  background-size: cover;
  color: #fff;
  z-index: -999;
}

.hero-img {
  background-size: cover;
  width: 100%;
  height: 100%;
}

/* ********************* */
/* Section-Welcome */
/* ********************* */

.section-welcome {
  padding: 4.8rem 0 3.2rem 0;
  background-color: #f7f3ef;
}

.welcome-logo {
  display: flex;
  justify-content: center;
}
.bgsa-logo {
  height: 16rem;
  margin-bottom: 2rem;
}

.welcome-text-box {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 1.6rem;
}

.welcome-text {
  font-size: 1.6rem;
  color: #333;
  line-height: 1.5;
  text-align: center;
  margin-bottom: 2rem;
}

.what-we-do-box {
  margin-top: 5rem;
}
.what-we-do-img {
  width: 85%;
  z-index: 1;
  border-radius: 5px;
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.1);
}

.what-we-do-img-box {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 0;
}

.what-we-do-img-box::before,
.what-we-do-img-box::after {
  content: "";
  display: block;
  border-radius: 5px;
  position: absolute;
  top: 40%;
  left: 44%;
  transform: translate(-50%, -50%);
}

.what-we-do-img-box::before {
  width: 100%;
  background-color: #455359;
  z-index: -2;
}

.what-we-do-img-box::after {
  width: 85%;
  padding-bottom: 43%;
  background-color: #455359;
  z-index: -1;
}

.what-we-do-list {
  font-size: 1.6rem;
  color: #333;
  line-height: 1.5;
  margin-top: 2rem;
  margin-bottom: 2rem;
}

/* ********************* */
/* Section-Page break */
/* ********************* */

.section-page-break {
  max-width: 120rem;
}

.page-break-img {
  width: 152rem;
  height: 9.8rem;
}

/* ********************* */
/* Section-About us */
/* ********************* */

.about-us-box {
  margin-top: 5rem;
  margin-bottom: 3.2rem;
}

.about-us-text-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: start;
}

.about-us-text {
  font-size: 1.4rem;
  color: #333;
  line-height: 1.5;
  margin-top: 1.2rem;
  margin-bottom: 1.2rem;
}

.about-us-img {
  width: 85%;
  z-index: 1;
  border-radius: 5px;
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.1);
}

.about-us-img-box {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 0;
}

.about-us-img-box::before,
.about-us-img-box::after {
  content: "";
  display: block;
  border-radius: 5px;
  position: absolute;
  top: 45%;
  left: 57%;
  transform: translate(-50%, -50%);
}

.about-us-img-box::before {
  width: 100%;
  background-color: #455359;
  z-index: -2;
}

.about-us-img-box::after {
  width: 85%;
  padding-bottom: 61%;
  background-color: #455359;
  z-index: -1;
}

/* ********************* */
/* Section-Principles */
/* ********************* */

.section-principles {
  background-color: #455359;
}

.principles-container {
  padding: 6.4rem;
}

.principles-heading-box {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1.6rem;
  margin-bottom: 2.4rem;
}

.principles-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  column-gap: 2.4rem;
  align-items: start;
  justify-content: center;
}

.principles-text {
  font-size: 1.4rem;
  text-align: center;
  color: #f7f3ef;
  line-height: 1.5;
}

.mission-box {
  border-left: 2px solid #f7f3ef;
  border-right: 2px solid #f7f3ef;
}

/* ********************* */
/* Section-What-we-offer */
/* ********************* */

.section-what-we-offer {
  padding: 4.8rem 0;
}

.offer-container {
  padding: 4.8rem;
}

.offer {
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);
  border-radius: 11px;
  overflow: hidden;
  transition: all 0.4s;
  display: flex;
  flex-direction: column;
  padding-bottom: 3.2rem;
  position: relative;
}

.offer:hover {
  transform: translateY(-1.2rem);
  box-shadow: 0 3.2rem 6.4rem rgba(0, 0, 0, 0.06);
}

.offer-content {
  padding: 2.4rem 1.2rem 1.2rem 1.2rem;
}

.offer-title {
  font-size: 1.6rem;
  color: #333;
  font-weight: 700;
  margin-bottom: 3.2rem;
  text-align: center;
}

.offer-discriptions {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
  margin-bottom: 1.2rem;
}

.offer-discription {
  font-size: 1.2rem;
  display: flex;
  align-items: center;
  gap: 1.6rem;
}

.offer-icon {
  height: 1.8rem;
  width: 1.8rem;
  color: #455359;
  flex-shrink: 0;
}

.offer-img {
  width: 100%;
}

.btn-sml {
  position: absolute;
  top: 93%;
  right: 35%;
}

/* ********************* */
/* Section-cta */
/* ********************* */

.section-cta {
  padding: 4.8rem 6.4rem 6.4rem 6.4rem;
}

.cta-box {
  background-color: #455359;
  border-radius: 11px;
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.15);
  overflow: hidden;
  max-width: 100rem;
  padding: 1.6rem 3.2rem;
  margin: 0.4rem auto;
}

.form-box {
  padding: 4.8rem 6.4rem 6.4rem 6.4rem;
  display: flex;
  flex-direction: column;
  gap: 1.2rem;
}

.cta-form {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 3.2rem;
  row-gap: 2.4rem;
  grid-template-areas:
    "enquiry full-name"
    "email contact"
    "message message";
  align-items: center;
  justify-items: stretch;
  margin-top: 3.2rem;
}

.cta-form label {
  display: block;
  font-size: 1.6rem;
  font-weight: 500;
  color: #f7f3ef;
  margin-bottom: 1.2rem;
}

.cta-form input,
.cta-form select,
.cta-form textarea {
  width: 84%;
  padding: 1.2rem;
  font-size: 1.8rem;
  font-family: inherit;
  color: inherit;
  border: none;
  background-color: #f7f3ef;
  border-radius: 9px;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
}

.cta-form input::placeholder {
  color: #aaa;
}

.message-box {
  grid-area: message;
}
.cta-form textarea {
  width: 75rem;
  height: 24rem;
}

.group {
  display: none;
}

/* ********************* */
/* Section-Footer */
/* ********************* */
.footer {
  padding: 12.8rem 0;
  border-top: 1px solid #eee;
}

.grid--footer {
  grid-template-columns: 1.5fr 1.5fr 1fr 1.5fr;
}
.logo-col {
  display: flex;
  flex-direction: column;
}

.footer-logo {
  display: block;
  margin-bottom: 1.6rem;
}

.social-links {
  list-style: none;
  display: flex;
  gap: 2.4rem;
  margin-top: 1.2rem;
}

.social-icon {
  height: 2.4rem;
  width: 2.4rem;
  color: #455359;
}
.copyright {
  font-size: 1.2rem;
  line-height: 1.6;
  color: #767676;
  margin-top: auto;
}

.footer-text {
  font-size: 1.2rem;
  line-height: 1.6;
  color: #767676;
  margin-bottom: 1.2rem;
}

.footer-heading {
  font-size: 1.4rem;
  font-weight: 500;
  margin-bottom: 2.4rem;
}

.contacts {
  font-style: normal;
  font-size: 1.2rem;
  line-height: 1.6;
}

.address {
  margin-bottom: 2.4rem;
}

.footer-nav {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
}

.footer-link:link,
.footer-link:visited {
  text-decoration: none;
  font-size: 1.2rem;
  color: #767676;
  transition: all 0.3s;
}

.footer-link:hover,
.footer-link:active {
  color: #555;
}

.kga-logo {
  height: 5.2rem;
  width: 3.2rem;
}
